IF EXISTS ( SELECT * 
            FROM   sysobjects 
            WHERE  id = object_id(N'[dbo].[CF_SCA_TipoValidacion]') 
                   and [type] = 'FN')
BEGIN
    DROP FUNCTION dbo.CF_SCA_TipoValidacion
END
GO

CREATE FUNCTION [dbo].[CF_SCA_TipoValidacion]	(@pTag		VARCHAR(30),	/*Credencial MiFare / Wiegand*/
											@pDoc		BIGINT,			/*Documento*/
											@pHue		VARCHAR(5000),	/*Huella Dactilar*/
											@pCba		VARCHAR(20),	/*Codigo de Barra*/
											@pDma		VARCHAR(5000)	/*Data Matrix*/)
RETURNS CHAR(1)
AS
BEGIN
DECLARE @Tipo_Validacion	CHAR(1)

IF(@pTag <> '')
BEGIN
	SET @Tipo_Validacion = 'T' /*Tag (Credencial MiFare / Wiegand)*/
	RETURN @Tipo_Validacion
END

IF(@pDoc <> 0)
BEGIN
	SET @Tipo_Validacion = 'D' /*Documento*/
	RETURN @Tipo_Validacion
END

IF(@pHue <> '')
BEGIN
	SET @Tipo_Validacion = 'H' /*Huella Dactilar*/
	RETURN @Tipo_Validacion
END

IF(@pCba <> '')
BEGIN
	SET @Tipo_Validacion = 'B' /*Codigo de Barra*/
	RETURN @Tipo_Validacion
END

IF(@pDma <> '')
BEGIN
	SET @Tipo_Validacion = 'M' /*Data Matrix*/
	RETURN @Tipo_Validacion
END

RETURN ISNULL(@Tipo_Validacion, 'N')

END